%{?nodejs_find_provides_and_requires}

%global packagename package-json

# tests disabled due to missing npm(ava) test suite
%global enable_tests 0

Name:		nodejs-package-json
Version:	2.3.1
Release:	2%{?dist}
Summary:	Get the package.json of a package from the npm registry

License:	MIT
URL:		https://github.com/sindresorhus/package-json.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/sindresorhus/package-json/v%{version}/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(got)
BuildRequires:	npm(registry-url)
BuildRequires:	npm(semver)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

%description
Get the package.json of a package from the npm registry


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .

%nodejs_fixdep got

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}


%changelog
* Mon Feb 22 2016 Jared Smith <jsmith@fedoraproject.org> - 2.3.1-2
- Fix bundled test.js file

* Sun Feb 21 2016 Jared Smith <jsmith@fedoraproject.org> - 2.3.1-1
- Initial packaging
